Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Application Development Framework Model and Business Components Java API Reference 10g Release 3 (10.1.3) B16005-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.jbo.html.struts11
Class BC4JActionForm

`java.lang.Object
org.apache.struts.action.ActionForm
oracle.jbo.html.struts11.BC4JActionForm`

All Implemented Interfaces:
  java.io.Serializable

public class BC4JActionForm
extends org.apache.struts.action.ActionForm

BC4JActionForm is a customization of Struts1.1 ActionForm Javabean. It override several methods to provide integration with the BC4J Model.

This class is typically subclassed for each ViewObject definition. Subclasses should generate property getter and setter for each attribute of the ViewObject they which to expose. Each getter and setter should call setAttribute and getAttribute using the name of the attribute as parameter. This class provide the default functionality to access the BC4J model

Since:
  JDeveloper 9.0.3
See Also:
  Serialized Form

Field Summary
`protected java.util.HashMap` | `attrVals` The set of attribute values for this ViewObject, keyed by attribute name.
`protected java.lang.String` | `viewObjectDefName` Name of the ViewObject Definition handled by this instance This value will be set by the constructor of the subclass

Fields inherited from class org.apache.struts.action.ActionForm
`multipartRequestHandler, servlet`

Constructor Summary
`BC4JActionForm(java.lang.String voName)`

Method Summary
`java.lang.String` | `getAmId()`
`java.lang.Object` | `getAttribute(java.lang.String attrName)`
`java.lang.String` | `getJboEvent()`
`java.lang.String` | `getJboEventVo()`
`java.lang.String` | `getJboRowKey()`
`void` | `reset(org.apache.struts.action.ActionMapping mapping, javax.servlet.http.HttpServletRequest request)`
`void` | `reset(org.apache.struts.action.ActionMapping mapping, javax.servlet.ServletRequest request)`
`void` | `setAmId(java.lang.String amId)`
`void` | `setAttribute(java.lang.String attrName, java.lang.Object value)`
`void` | `setJboEvent(java.lang.String jboEvent)`
`void` | `setJboEventVo(java.lang.String jboEventVo)`
`void` | `setJboRowKey(java.lang.String rowKey)`

Methods inherited from class org.apache.struts.action.ActionForm
`getMultipartRequestHandler, getServlet, getServletWrapper, setMultipartRequestHandler, setServlet, validate, validate`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### viewObjectDefName

    protected final java.lang.String viewObjectDefName

  Name of the ViewObject Definition handled by this instance This value will be set by the constructor of the subclass

### attrVals

    protected final java.util.HashMap attrVals

  The set of attribute values for this ViewObject, keyed by attribute name.

Constructor Detail

### BC4JActionForm

    public BC4JActionForm(java.lang.String voName)

Method Detail

### setJboEvent

    public void setJboEvent(java.lang.String jboEvent)

### getJboEvent

    public java.lang.String getJboEvent()

### setJboEventVo

    public void setJboEventVo(java.lang.String jboEventVo)

### getJboEventVo

    public java.lang.String getJboEventVo()

### setAmId

    public void setAmId(java.lang.String amId)

### getAmId

    public java.lang.String getAmId()

### setJboRowKey

    public void setJboRowKey(java.lang.String rowKey)

### getJboRowKey

    public java.lang.String getJboRowKey()

### getAttribute

    public java.lang.Object getAttribute(java.lang.String attrName)

### setAttribute

    public void setAttribute(java.lang.String attrName,
                             java.lang.Object value)

### reset

    public void reset(org.apache.struts.action.ActionMapping mapping,
                      javax.servlet.ServletRequest request)

### reset

    public void reset(org.apache.struts.action.ActionMapping mapping,
                      javax.servlet.http.HttpServletRequest request)

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Application Development Framework Model and Business Components Java API Reference 10g Release 3 (10.1.3) B16005-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1997, 2005, Oracle. All rights reserved.